Skip to main content
GET
/
payments
/
provider-configs
List provider configs (admin)
curl --request GET \
  --url https://api.pcxpay.com/v1/payments/provider-configs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "provider": "manual",
      "country": "NG",
      "payment_method": "bank_transfer",
      "direction": "inbound",
      "api_version": "<string>",
      "priority": 123,
      "is_active": true,
      "webhook_required": true,
      "org_id": "<string>",
      "min_amount": 123,
      "max_amount": 123,
      "description": "<string>",
      "webhook_url": "<string>",
      "config_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

List of provider configs

data
object[]